-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Questa SP popola la tabella W6TRCLI da una vista vListaClientiTrimestrale_anag_pb settando i campi uno a uno con il valore della vista o in mancanza '' invece di null ,,>
-- =============================================
CREATE PROCEDURE [C6StagingPeriodico].[PopolaW6TRCLIdavListaClientiTrimestrale_anag_pb] 
	-- Add the parameters for the stored procedure here
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
    -- Insert statements for procedure here
		insert into [dbo].[W6TRCLI] ([Rete],[Codice_Agente],[Nominativo_ Agente],[CodiceFiscale],[CodiceContratto],[Freq_Monitoraggio],[Freq_ Diagnosi],[Data_Revoca],[TipoContratto],[TipoRiattivazione],[ROL],[ClienteDB])
		select  isnull([Rete],''),
				isnull([Codice Agente],''),
				isnull([Nominativo],''),
				isnull([Codice Fiscale],''),
				isnull([Codice Contratto],''),
				isnull([Freq Monitoraggio],''),
				isnull([Freq Diagnosi],''),
				isnull([Data Revoca],0),
				isnull([Tipo Contratto],''),
				isnull([Tipo Riattivazione],''),
				isnull([ROL],''),
				clienteDB
		from [C6StagingPeriodico].[vListaClientiTrimestrale_anag_pb];
END